namespace View_by_Distance.Shared.Models;

public record MarkerWith(
    string MarkerUid,
    string FileUid,
    string MarkerType,
    string MarkerSrc,
    string MarkerName,
    int MarkerReview,
    int MarkerInvalid,
    string SubjUid,
    string SubjSrc,
    string FaceId,
    double FaceDist,
    string EmbeddingsJson,
    string LandmarksJson,
    double X,
    double Y,
    double W,
    double H,
    int Q,
    int Size,
    int Score,
    string Thumb,
    string MatchedAt,
    string CreatedAt,
    string UpdatedAt,
    int FileId,
    string FileName,
    int? DlibId,
    int? Count,
    double? Percent,
    int? NormalizedRectangle,
    long? PersonKey,
    string PersonKeyFormatted
);