namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface ISorting
{ // ...

    Models.Sorting[] TestStatic_Sort(List<Models.Sorting> collection) =>
        Sort(collection);
    static Models.Sorting[] Sort(List<Models.Sorting> collection) =>
        (from l in collection orderby l.WithinRange, l.DistancePermyriad, l.DaysDelta select l).ToArray();

    Models.Sorting TestStatic_Get(int faceDistancePermyriad, double rangeDistanceTolerance, Models.FaceDistance faceDistanceEncoding, Models.FaceDistance faceDistanceLength, List<(long lcl, long minimum, long maximum, long ucl)> personKeysRangesCollection) =>
        Get(faceDistancePermyriad, rangeDistanceTolerance, faceDistanceEncoding, faceDistanceLength, personKeysRangesCollection);
    static Models.Sorting Get(int faceDistancePermyriad, double rangeDistanceTolerance, Models.FaceDistance faceDistanceEncoding, Models.FaceDistance faceDistanceLength, List<(long lcl, long minimum, long maximum, long ucl)> personKeysRangesCollection) =>
        Sorting.Get(faceDistancePermyriad, rangeDistanceTolerance, faceDistanceEncoding, faceDistanceLength, personKeysRangesCollection);

}